package com.atguigu.feign.product;

import com.atguigu.spzx.model.entity.product.ProductSku;
import com.atguigu.spzx.model.vo.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "service-product", path = "/api/product/")
public interface ProductFeignClient {
    @GetMapping("getBySkuId/{skuId}")
    Result<ProductSku> getBySkuId(@PathVariable Long skuId);
}
