package com.atguigu.feign.user;

import com.atguigu.spzx.model.entity.user.UserAddress;
import com.atguigu.spzx.model.vo.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "service-user", path = "/api/user/userAddress")
public interface UserFeignClient {
    @GetMapping("getUserAddress/{id}")
    Result<UserAddress> getUserAddress(@PathVariable Long id);
}