package com.atguigu.pay;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
// @EnableConfigurationProperties(value = {AlipayProperties.class})
@ComponentScan("com.atguigu")
@EnableFeignClients(basePackages = {"com.atguigu.feign"})
@Slf4j
public class PayApplication {
    public static void main(String[] args) {
        SpringApplication.run(PayApplication.class, args);
    }
}