package com.atguigu.pay.service;

import com.atguigu.spzx.model.entity.pay.PaymentInfo;

import java.util.Map;

public interface PaymentInfoService {
    /**
     * 保存支付记录
     *
     * @param orderNo 提交订单
     * @return 支付信息
     */
    PaymentInfo savePaymentInfo(String orderNo);

    /**
     * 支付完成后更新状态
     *
     * @param paramMap paramMap
     * @param i        i
     */
    void updatePaymentStatus(Map<String, String> paramMap, int i);
}
