package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.order.OrderStatisticsDto;
import com.atguigu.spzx.model.entity.order.OrderStatistics;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrderStatisticsMapper {
    /**
     * 插入
     *
     * @param orderStatistics 订单
     */
    void insert(OrderStatistics orderStatistics);

    /**
     * 查询统计结果数据
     *
     * @param orderStatisticsDto 搜索条件实体类
     * @return 搜索条件实体类列表
     */
    List<OrderStatistics> selectList(OrderStatisticsDto orderStatisticsDto);
}
