package com.atguigu.product.service.impl;

import com.atguigu.product.mapper.BrandMapper;
import com.atguigu.product.service.BrandService;
import com.atguigu.spzx.model.entity.product.Brand;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BrandServiceImpl implements BrandService {
    @Autowired
    private BrandMapper brandMapper;

    /**
     * 获取全部品牌
     *
     * @return 查询返回全部品牌
     */
    @Override
    public List<Brand> findAll() {
        return brandMapper.findAll();
    }
}
