package com.atguigu.user.service;

import com.atguigu.spzx.model.entity.user.UserAddress;

import java.util.List;

public interface UserAddressService {
    /**
     * 获取用户地址列表
     *
     * @return 用户地址列表
     */
    List<UserAddress> findUserAddressList();

    /**
     * 获取地址信息
     *
     * @param id 地址Id
     * @return 地址信息
     */
    UserAddress getById(Long id);
}
